body{
  background-color: #e6e6e6;
  background-size: auto;
  margin: 0%;
  padding: 0%;
}
.navbar {
  width: auto;
  border-radius: 30px;
} 
.flex-container{
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
i{
  font-size: 5vw;
  margin: 0;
  color:#f61067;
}
.contact-icon{
  display: flex;
  align-items: center;
}
div #middle-bg{
  position: absolute;
  border-radius: 30px;
  /* background: url(./image/home/title-bg.png); */
  background-position: center;
  background-size: cover;
  width: 80vw;
  height: 50vh;
  display: flex;
  justify-content: left;
  align-items: left;
}
  h1{
  position: absolute;
  font-family: 'Helvetica';
  font-weight: 750;
  width: 60vw;
  font-size: 5vw;
  color: white;
  transition: .5s;
  text-shadow: 0 5px 0 rgb(0,0,0),
  0 1vw 4vw rgba(0,0,0,.5),
  0 2vw 3vw rgba(0,0,0,.4),
  0 3vw 2vw rgba(0,0,0,.3);
}
h1:hover{
  text-shadow: 0 2px 10px rgba(0, 0, 0, 0.5);
}
h1::before,
h1::after{
  position: absolute;
  top: -10px;
  left: 0;
  content: attr(data-title);
  transition: 0.5s;
  color: white;
  /* text-shadow: 0 5px 20px rgba(255, 166, 0, 0.507); */
}
h1::before{
  top: -5px;
  color: black;
  /* text-shadow: 0 5px 20px red; */
}
h1:hover::before{
  top: -7.5px;
  left: 7.5px;
}
h1:hover::after{
  top: -15px;
  left: 15px;
}
h3{
  position: relative;
  font-family: 'Secular One', serif;
  font-weight: 750;
  font-size: 4.5vw;
  color: #5e239d;
  transition: .5s;
  text-shadow: 0 5px 0 rgb(0,0,0),
  0 1vw 4vw rgba(0,0,0,.5),
  0 2vw 3vw rgba(0,0,0,.4),
  0 3vw 2vw rgba(0,0,0,.3);
}
h3:hover{
  text-shadow: 0 5px 20px #5e239d;
}
h3::before,
h3::after{
  position: absolute;
  top: -10px;
  left: 0;
  content: attr(data-title);
  transition: 0.5s;
  color: #f61067;
  text-shadow: 0 5px 20px rgb(255, 255, 255);
}
h3::before{
  top: -5px;
  color: #00F0B5;
  text-shadow: 0 5px 20px rgb(0, 0, 0);
}
h3:hover::before{
  top: -7.5px;
  left: 7.5px;
}
h3:hover::after{
  top: -15px;
  left: 15px;
}
p{
  font-family: 'Red Rose';
  font-size: 1.8vw;
}
h2{
  font-family: 'Secular One';
  font-size: 3.5vw;
  background-color:#00F0B5;
  border-radius : 25px;
  padding : 10px;
  margin: 10px;
  width: auto;
  display: inline-block;
  white-space: nowrap;
}
h2:hover{
  animation: shake 1s;
  animation-iteration-count: infinite;
}
h4{
  font-size: 3vw;
  padding : 10px;
}
.MatkulDetil{
  margin-top: 50px; 
  padding: 20px;
  position :absolute;
}
h1 #matkulsaya{
  top: 0px;;
  padding : 0px;
  position : absolute;
  display: flex;
  justify-content: left;
  align-items: left;
}

.fixed-top{
  margin: 15px;
  left: 0px;
}
.navbar-brand{
  margin: 0%;
  margin-right: 30px;
  margin-left: 10px;
}
.navbar-nav{
  font-size: 2.5vw;
  font-weight: 500;
}
.navbar-dark{
  background-color: #ffffff;
}
.navbar-dark .navbar-nav > .nav-item > a {
  font-family: 'Helvetica';
}
.navbar-dark .navbar-nav > .nav-item > a:hover {
    color: rgb(104, 104, 104);
}
.grid-main-container{
margin-top: 30px;
height: auto;
display: grid;
grid-template-columns: repeat(6, 1fr);
grid-template-rows: 1.3fr 0.7fr 0.25fr 0.5fr;
}
.picture-container {
  grid-row: 1;
  grid-column: 1 / span 2;
  position: relative;
  width: 30vw;
  height: 60vh;
  margin-top: 80px;
  margin-left: 5vw;
  /* background: rgba(0, 0, 0, 0.8); */
  transition: 0.5s;
}
.picture-container img{
  position: absolute;
  width: 100%;
  height: 100%;
  transition: 0.5s;
}
.picture-container img:nth-child(4){
  top: -30px;
  left: 30px;
}
.picture-container:hover img:nth-child(4){
  transform: translate(20%, -6%);
} 
.picture-container img:nth-child(3){
  top: -20px;
  left: 20px;
}
.picture-container:hover img:nth-child(3){
  transform: translate(15%, -4.5%);
} 
.picture-container img:nth-child(2){
  top: -10px;
  left: 10px;
}
.picture-container:hover img:nth-child(2){
  transform: translate(10%, -3%);
} 
.picture-container:hover img:nth-child(1){
  transform: translate(5%, -3%);
} 

.flex-column-container{
  padding: 80px;
  grid-column: 3/ span 4;
  grid-row: 1;
}
.layerbox{
  display: flex;
  grid-row: 2 / span 2;
  grid-column: 1 /span 3;
  justify-content: center;
  align-items: flex-end;
}
.layerbox img{
  position: absolute;
  width: 40vw;
}
.description-box{
  background: #00F0B5;
  border-radius : 25px;
  padding-left: 3vw;
  padding-right: 3vw;
  margin-left: 3vw;
  position: relative;
  padding-top: 4vh;
  width: 70%;
}
#skill{
  padding: 1vh;
  text-align: center;
  line-height: 20vh;
}
#skill i{
  letter-spacing: 3vw;
  color: rgb(57, 176, 101);
}
i:hover{
  animation: shake 0.5s;
  animation-iteration-count: infinite;
}
.cd{
  grid-row: 2;
  grid-column: 4 / span 3;
  display: flex;
  justify-content: center;
  align-items: center;
}
.astronaut{
  display: flex;
  grid-row: 2;
  grid-column: 4 / span 3;
  justify-content: center;
  align-items: flex-end;
}
.astronaut img{
  position: relative;
  height: 70vh;
  width: 30vw;
  -webkit-animation: rotation 30s infinite linear;
}
.astronaut img:hover{
  -webkit-animation: rotation 0.5s infinite linear;
}
.futuristic{
  grid-row: 4;
  grid-column: 2 / span 2;
  height: 60vh;
  width: 40vw;
  display: flex;
  align-items: center;
}
.futuristic h1{
  text-align: end;
  position: relative;
  border: yellow dotted 10px;
}
.futuristic h1::before{
  color: orange;
}
.futuristic h1::after{
  color: yellow;
}
.interest{
  display: flex;
  grid-row: 3 / span 2;
  grid-column: 4 / span 3;
  justify-content: center;
  align-items: flex-start;
  justify-self: center;

}
.interest-box{
  background:#00F0B5;
  border-radius : 25px;
}
.interest-title{
  top: 3vh;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.interest h4{
  position: relative;
  line-height: 3em;
  text-align: center;
}
.interest h3:hover::before{
  top: -10px;
  left: -10px;
}
.interest h3:hover::after{
  top: -20px;
  left: -20px;
}
.interest img{
  position: absolute;
  width: 40vw;
}
.education{
  margin-top: 50vh;
  height: 4vh;
  grid-row: 1 / span 1;
  grid-column: 1 / span 6;
  display: flex;
  justify-content: center;
  align-items: center;
}
.education img{
  width: 80vw;
}
.history{
  grid-row: 3;
  grid-column: 4 / span 3;
  display: flex;
  align-items: center;
  justify-content: center;
}
.organization-title{
  background-color: #5e239d;
  border-radius : 25px;
  padding : 25px;
}
.org-mobile{
  display: none;
}
.organization{  
  grid-row: 4;
  grid-column: 4 / span 3;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.organization-pic{
  grid-row: 4;
  grid-column: 1 / span 3;
  display: flex;
  justify-content: center;
  align-items: center;
}
.organization-pic img{
  width: 25vw;
  height: 70vh;
  position: absolute;
}
.organization-pic img:hover{
  animation: shake 0.5s;
  animation-iteration-count: infinite;
}
.contact-flex{
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}
@media (max-width: 600px){
  h3{
    font-size: 8vw;
  }
  #middle-bg{
    background: none;
  }
  #middle-bg h1{
    top: 10vh;
    font-size: 80px;
    border: white solid 10px;
  }
  .navbar{
    width: 100%;
  }
  .navbar-nav{
    width: auto;
  }
  .grid-main-container{
  grid-template-columns: 100vw;
  grid-template-rows: 70vh 65vh 100vh 60vh;
  }
  .grid-main-container p{
    font-size: 4vw;
  }
  .picture-container{
    width: 50vw;
    grid-column: 1;
    grid-row: 1;
  }
  .flex-column-container{
    grid-column: 1;
    grid-row: 2;
  }
  .flex-column-container h2{
    font-size: 5vw;
  }
  .layerbox{
    grid-column: 1;
    grid-row: 3;
    align-items: center;
  }
  .description-box{
    margin-left: 0;
    width: 70vw;
    height: auto;
  }
  .astronaut{
    display: none;
  }
  .futuristic{
    display: none;
  }
  .interest{
    grid-column:1 ;
    grid-row: 4;
  }
  .interest-box{
    width: 50vw;
  }
  #grid-experience{
    grid-template-rows: 50vh 65vh 65vh;
  }
  .education{
    margin-top: 20vh;
  }
  .cd{
    display: none;
  }
  #skill i{
    font-size: 50px;
    line-height: 30px;
  }
  .organization-pic{
    display: none;
  }
  .org-mobile{
    margin-top: 30px ;
    display: inline;
  }
  #skill{
    grid-column: 1;
    grid-row: 2;
    justify-content: center;
  }
  .history{
    display: none;
  }
  .organization{
    grid-column: 1;
    grid-row: 3;
    flex-direction: column;
  }
  .school-s1 p{
    color: #f61067;
  }
.forming{
  padding-top :50px;
  width: 50%;
  padding: 12px 20px;
  margin: 8px 0;
  box-sizing: border-box;
}
  .Lihat h1{
    font-size: 0; 
    font-weight: 100; 
    background-color: rgb(211, 230, 255); 
    max-width: 200px; 
    padding: 10px; 
    margin-top: 10px;
  }
}
@keyframes shake {
  0% { transform: translate(1px, 1px) rotate(0deg); }
  10% { transform: translate(-1px, -2px) rotate(-1deg); }
  20% { transform: translate(-3px, 0px) rotate(1deg); }
  30% { transform: translate(3px, 2px) rotate(0deg); }
  40% { transform: translate(1px, -1px) rotate(1deg); }
  50% { transform: translate(-1px, 2px) rotate(-1deg); }
  60% { transform: translate(-3px, 1px) rotate(0deg); }
  70% { transform: translate(3px, 1px) rotate(-1deg); }
  80% { transform: translate(-1px, -1px) rotate(1deg); }
  90% { transform: translate(1px, 2px) rotate(0deg); }
  100% { transform: translate(1px, -2px) rotate(-1deg); }
}
@-webkit-keyframes rotation {
  from {
      -webkit-transform: rotate(0deg);
  }
  to {
      -webkit-transform: rotate(359deg);
  }
}

.container {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#searchBox {
  width: 80%;
  max-width: 800px;
  border: none;
  box-sizing: border-box;
  background-color: #ffffff;
  position: relative;
  padding: 10px;
}

#table {
  width: 100%;
  max-width: 1000px;
  margin: auto;
  padding-top: 10px;
  border-spacing: 10px;
  text-align: left;
}





/*------------------------------------------------------------
END OF LINE
--------------------------------------------------------------*/
